complexType "ds:ReferenceType"

Namespace: | http://www.w3.org/2000/09/xmldsig#
Content: | complex, 3 attributes, 3 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 3 attributes, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
Id | = | ID
URI | = | anyURI
Type | = | anyURI
| >
Content: | ds:Transforms?, ds:DigestMethod, ds:DigestValue
</...>

Content Model Elements (3):

  ds:DigestMethod, ds:DigestValue, ds:Transforms

All Direct / Indirect Based Elements (1):

  ds:Reference

Known Usage Locations

- As direct type of elements (1):
  ds:Reference

XML Source (see within schema source)

<complexType name="ReferenceType"> <sequence> <element minOccurs="0" ref="ds:Transforms"/> <element ref="ds:DigestMethod"/> <element ref="ds:DigestValue"/> </sequence> <attribute name="Id" type="ID" use="optional"/> <attribute name="URI" type="anyURI" use="optional"/> <attribute name="Type" type="anyURI" use="optional"/> </complexType>

Attribute Detail (all declarations; defined within this component only; 3/3)
Id

  Type: | ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <attribute name="Id" type="ID" use="optional"/>

Type

  Type: | anyURI, predefined
  Use: | optional

  XML Source (see within schema source)

  <attribute name="Type" type="anyURI" use="optional"/>

URI

  Type: | anyURI, predefined
  Use: | optional

  XML Source (see within schema source)

  <attribute name="URI" type="anyURI" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
ds:DigestMethod

  Type: | ds:DigestMethodType, mixed content

  XML Source (see within schema source)

  <element ref="ds:DigestMethod"/>

ds:DigestValue

  Type: | ds:DigestValueType, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element ref="ds:DigestValue"/>

ds:Transforms

  Type: | ds:TransformsType, complex content

  XML Source (see within schema source)

  <element minOccurs="0" ref="ds:Transforms"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.